Bug 1876566 - [Kuryr]octavia upgrade not working
Summary: [Kuryr]octavia upgrade not working
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.6.0
Assignee: Luis Tomas Bolivar
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1878725
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-07 13:45 UTC by rlobillo
Modified: 2020-09-22 08:38 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
octavia update logs (automated on infrared) (1.46 MB, application/gzip)
2020-09-22 08:36 UTC, rlobillo
no flags Details
test results (14.06 MB, application/gzip)
2020-09-22 08:38 UTC, rlobillo
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 783 None closed Bug 1876566: Add provider information to the kuryrloadbalancer CRD 2020-09-22 08:31:43 UTC
Github openshift kuryr-kubernetes pull 344 None closed Bug 1876566: Leaks of loadbalancer 2020-09-22 08:31:43 UTC
OpenStack gerrit 746504 None NEW Leaks of loadbalancer 2020-09-22 08:31:43 UTC

Description rlobillo 2020-09-07 13:45:58 UTC
Description of problem:

After executing the octavia upgrade procedure the loadbalancers are not updated as expected.

$ kubectl -n openshift-kuryr annotate cm kuryr-config networkoperator.openshift.io/kuryr-octavia-provider-
$ kubectl get -n openshift-kuryr cm/kuryr-config -o jsonpath='{.metadata.annotations.networkoperator\.openshift\.io/kuryr-octavia-provider}'
ovn
[waiting a reasonable time]
$ openstack loadbalancer list -c provider -f value | grep amphora | wc -l
52
$ openstack loadbalancer list -c provider -f value | grep ovn | wc -l
0


Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-09-05-015624

How reproducible: Always


Steps to Reproduce: 
https://docs.openshift.com/container-platform/4.5/networking/load-balancing-openstack.html

Actual results:


Expected results:


Additional info:

kuryr-controller logs on http://file.rdu.redhat.com/rlobillo/octavia_upgrade/ocp4.6.0-0.nightly-2020-08-27-005538/

Comment 2 rlobillo 2020-09-22 08:35:17 UTC
Verified on 4.6.0-0.nightly-2020-09-21-030155 over RHOS-16.1-RHEL-8-20200903.n.0

Jenkins job with flag '--octaviaupdate yes' on the installation runs successfully. Logs attached (ir-openshift-install.log)

Tests run with expected results. Attached.

Comment 3 rlobillo 2020-09-22 08:36:44 UTC
Created attachment 1715669 [details]
octavia update logs (automated on infrared)

Comment 4 rlobillo 2020-09-22 08:38:05 UTC
Created attachment 1715670 [details]
test results


Note You need to log in before you can comment on or make changes to this bug.